#!/bin/bash
# Script para monitoramento da utilizacao da memoria com /proc/meminfo
# Autores: Carlos Melo, Paulo Pereira e Ronierison Maciel
# {casm3,prps,rsm4}@cin.ufpe.br

tempo=0;
echo "MemFree;Buffers;Cached;SwapFree" > log-mem-proc.csv
while [ $tempo -lt 300 ]
do
	mfree=$(cat /proc/meminfo | awk '/MemFree/{print $2}')
	buffer=$(cat /proc/meminfo | awk '/Buffers/{print $2}')
	# ^ antes da palavra Cached significa que a linha deve iniciar com Cached
	cach=$(cat /proc/meminfo | awk '/^Cached/{print $2}')
	swapfree=$(cat /proc/meminfo | awk '/SwapFree/{print $2}')
	echo "$mfree;$buffer;$cach;$swapfree;" >> log-mem-proc.csv
	sleep 5
	tempo=$((tempo+5))
done
